curl --request GET \
--url https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"id": "<string>",
"email": "jsmith@example.com",
"fname": "<string>",
"lname": "<string>",
"phone_number": "<string>",
"post_code": "<string>",
"dob": "2023-11-07T05:31:56Z",
"highest_qualification": "<string>",
"employment_status": "<string>",
"employment_category": "<string>",
"current_annual_income": 123,
"currency": "<string>",
"protected_housing": true,
"about_me": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"kyc_success": true,
"kyc_data": {
"kyc_user": {},
"kyc_doc": {},
"kyc_doc_data": {},
"kyc_workflow_res": {},
"kyc_error": {},
"kyc_status": "<string>"
},
"financial_info_errors": null,
"extra_data": {
"public_housing_docs": [
"<string>"
],
"profile_summary": {},
"document_analysis": {
"profileReports": [
{
"report": {
"keyFactors": {
"keyFactors": [
{
"keyFactor": "Income",
"verified": true,
"dataInJSON": {
"payslips": [
{
"currencyCode": "EUR",
"netIncome": 2800,
"employerName": "Example Company",
"date": "2026-08-31"
}
]
}
}
]
}
}
}
]
},
"experian_json": {},
"forensic_analysis": {
"profileReports": [
{
"report": {
"keyFactors": {
"keyFactors": [
{
"keyFactor": "Income",
"verified": true,
"dataInJSON": {
"payslips": [
{
"currencyCode": "EUR",
"netIncome": 2800,
"employerName": "Example Company",
"date": "2026-08-31"
}
]
}
}
]
}
}
}
]
}
},
"bank_data": {
"bank_data": {
"dataOrigin": "OPEN_BANKING",
"accounts": [
{
"balances": {
"booked": {
"amount": {
"value": 2450.25,
"currencyCode": "EUR"
}
}
}
}
],
"transactions": []
},
"financial_data": {
"status": "COMPLETED",
"scores": [],
"creditInsights": {
"incomes": {
"monthlyAmount": 3500,
"employers": []
}
}
}
}
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Get Tenant
Retrieves the complete Tenant profile, including personal details, verification statuses, forensic results, and financial information.
This endpoint acts as the single source of truth for the tenant’s current state and aggregated data collected across KYC, document analysis, forensic processing, and banking integrations.
You can pass either the tenant ID returned when the tenant was created or
a participant ID from an application as tenantId. Each application
participant is also represented as a tenant, so both identifiers are
accepted by this endpoint.
Analysis and financial-data JSON paths:
- Profile summary:
data.extra_data.profile_summary - Document analysis:
data.extra_data.document_analysis - Document profile reports:
data.extra_data.document_analysis.profileReports[] - Forensic analysis:
data.extra_data.forensic_analysis - Forensic profile reports:
data.extra_data.forensic_analysis.profileReports[] - Raw banking data:
data.bank_data.bank_data - Financial analysis:
data.bank_data.financial_data - Financial analysis errors:
data.financial_info_errors
curl --request GET \
--url https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skortorent.com/api/v1/tenants/get-tenant/{tenantId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"id": "<string>",
"email": "jsmith@example.com",
"fname": "<string>",
"lname": "<string>",
"phone_number": "<string>",
"post_code": "<string>",
"dob": "2023-11-07T05:31:56Z",
"highest_qualification": "<string>",
"employment_status": "<string>",
"employment_category": "<string>",
"current_annual_income": 123,
"currency": "<string>",
"protected_housing": true,
"about_me": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"kyc_success": true,
"kyc_data": {
"kyc_user": {},
"kyc_doc": {},
"kyc_doc_data": {},
"kyc_workflow_res": {},
"kyc_error": {},
"kyc_status": "<string>"
},
"financial_info_errors": null,
"extra_data": {
"public_housing_docs": [
"<string>"
],
"profile_summary": {},
"document_analysis": {
"profileReports": [
{
"report": {
"keyFactors": {
"keyFactors": [
{
"keyFactor": "Income",
"verified": true,
"dataInJSON": {
"payslips": [
{
"currencyCode": "EUR",
"netIncome": 2800,
"employerName": "Example Company",
"date": "2026-08-31"
}
]
}
}
]
}
}
}
]
},
"experian_json": {},
"forensic_analysis": {
"profileReports": [
{
"report": {
"keyFactors": {
"keyFactors": [
{
"keyFactor": "Income",
"verified": true,
"dataInJSON": {
"payslips": [
{
"currencyCode": "EUR",
"netIncome": 2800,
"employerName": "Example Company",
"date": "2026-08-31"
}
]
}
}
]
}
}
}
]
}
},
"bank_data": {
"bank_data": {
"dataOrigin": "OPEN_BANKING",
"accounts": [
{
"balances": {
"booked": {
"amount": {
"value": 2450.25,
"currencyCode": "EUR"
}
}
}
}
],
"transactions": []
},
"financial_data": {
"status": "COMPLETED",
"scores": [],
"creditInsights": {
"incomes": {
"monthlyAmount": 3500,
"employers": []
}
}
}
}
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
HTTP Bearer Authentication. Generate a shared token via
/authenticate/token, then pass it as Authorization: Bearer <token>.
Path Parameters
Tenant ID or application participant ID.